# This is an example Hyprland config file.
# Syntax is the same as in Hypr, but settings might differ.
#
# Refer to the wiki for more information.
# Edited by FlyingStitchman 28 Aug 2022

# Config Home Variable
$ConfigHome=~/.config/hypr


# Config for Monitors and Workspaces as they don't Carry Between Computers
source=$ConfigHome/monitors.conf

# Startup Config
source=$ConfigHome/exec-start.conf

# Config for Bindings
source=$ConfigHome/binds.conf

# Windowrules
source=$ConfigHome/windowrules.conf

input {
    follow_mouse=1

    sensitivity=.4
    accel_profile=adaptive

    touchpad { 
    	natural_scroll=false
      disable_while_typing=false
    }

}

general {
    gaps_in=5
    gaps_out=15
    border_size=3
    col.active_border=0xff7733cc
    col.inactive_border=0xff333333

    layout=dwindle
}

decoration {
  blur {
    # Blur Options
    enabled=true
    size=4
    passes=3
    ignore_opacity=false
    new_optimizations=true
    }

    # Shadow
    drop_shadow=0
    shadow_range=15
    shadow_render_power=2
    shadow_ignore_window=1
    col.shadow=0xdb331153    
    col.shadow_inactive=0x99333333
    shadow_offset=3 2
    
    # Other 
    rounding=15
    inactive_opacity=.8
    fullscreen_opacity=1 multiplier
}

animations {
    enabled=true
    
    bezier = myBezier, 0.05, 0.9, 0.1, 1.05

    animation = windows, 1, 7, myBezier
    animation = windowsOut, 1, 7, default, popin 80%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 7, default
    animation = workspaces, 1, 6, default 
}

dwindle {
    pseudotile=true # enable pseudotiling on dwindle
    preserve_split=true
}

master {
    new_is_master=true
}

misc {
    layers_hog_keyboard_focus=true
    vfr=1
    vrr=on
    disable_hyprland_logo=true
    disable_splash_rendering=true
}

xwayland {
  force_zero_scaling=true
}

debug {
    damage_tracking=-2
    damage_blink=false
    disable_scale_checks=true
}

gestures {
  workspace_swipe = true
  workspace_swipe_distance = 350
}
